Package net.shibboleth.idp.session

# Class SPSessionSerializerRegistry.Entry<T extends SPSession>

java.lang.Object
net.shibboleth.idp.session.SPSessionSerializerRegistry.Entry<T>

Type Parameters:
  `T` - session type

Enclosing class:
  SPSessionSerializerRegistry

public static class SPSessionSerializerRegistry.Entry<T extends SPSession> extends Object
Wrapper type for auto-wiring serializers.

Since:
  4.1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final StorageSerializer<T>`
`serializer`
Serializer.
`private final Class<T>`
`sessionType`
Session type.

## Constructor Summary

Constructors
Constructor
Description
`Entry(Class<T> claz, StorageSerializer<T> object)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`(package private) StorageSerializer<T>`
`getSerializer()`
Gets `StorageSerializer`.
`(package private) Class<T>`
`getType()`
Gets session type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sessionType

@Nonnull private final Class<T extends SPSession> sessionType
Session type.

### serializer

@Nullable private final StorageSerializer<T extends SPSession> serializer
Serializer.

## Constructor Details

### Entry

public Entry(@Nonnull @ParameterName(name="claz") Class<T> claz, @Nullable @ParameterName(name="object") StorageSerializer<T> object)
Constructor.

Parameters:
  `claz` - session type
  `object` - serializer

## Method Details

### getType

@Nonnull Class<T> getType()
Gets session type.

Returns:
  session type

### getSerializer

@Nullable StorageSerializer<T> getSerializer()
Gets `StorageSerializer`.

Returns:
  serializer